<template>
  <div class="text-center">
    <v-dialog v-model="dialog" width="500">
      <template v-slot:activator="{ on, attrs }">
        <v-btn color="grey" text v-bind="attrs" v-on="on">Load</v-btn>
      </template>
      <v-card>
        <v-card-title class="text-h5 grey lighten-2">
          Load Asset Information (.json)
        </v-card-title>
        <v-file-input class="ma-5" outlined dense v-model="chosenFile">
        </v-file-input>
        <v-divider></v-divider>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn color="gray darken-1" text @click="dialog = false">
            Cancel
          </v-btn>
          <v-btn color="green darken-1" text @click="load"> Load </v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </div>
</template>

<script>
export default {
  data() {
    return {
      dialog: false,
      chosenFile: null
    };
  },
  methods: {
    load() {
      let reader = new FileReader();
      // let tmpResult = {}
      reader.onload = (e) => {
        this.$store.dispatch("SEND_JSON_DATA", JSON.parse(e.target.result));
      };
      reader.readAsText(this.chosenFile);
      this.dialog = false;
    }
  }
};
</script>
